<?php
/**
 *
 * phpBB Browser Push Notifications. An extension for the phpBB Forum Software package.
 *
 * @copyright (c) 2023, phpBB Limited <https://www.phpbb.com>
 * @license GNU General Public License, version 2 (GPL-2.0)
 *
 */

/**
 * DO NOT CHANGE
 */
if (!defined('IN_PHPBB'))
{
	exit;
}

if (empty($lang) || !is_array($lang))
{
	$lang = [];
}

// DEVELOPERS PLEASE NOTE
//
// All language files should use UTF-8 as their encoding and the files must not contain a BOM.
//
// Placeholders can now contain order information, e.g. instead of
// 'Page %s of %s' you can (and should) write 'Page %1$s of %2$s', this allows
// translators to re-order the output of data while ensuring it remains correct
//
// You do not need this where single placeholders are used, e.g. 'Message %d' is fine
// equally where a string contains only two placeholders which are used to wrap text
// in a url you again do not need to specify an order e.g., 'Click %sHERE%s' is fine
//
// Some characters you may want to copy&paste:
// ’ » „ “ … &nbsp; &shy;
//

$lang = array_merge($lang, [
	'ACP_WEBPUSH_SETTINGS_EXPLAIN'	=> 'Zde můžete povolit „Web push“ pro upozornění (notifikace) z&nbsp;fóra. „Web push“ je protokol pro doručování událostí uživatelům v&nbsp;reálném čase obecně nazývanými jako „push“ zprávy. Je kompatibilní s&nbsp;většinou moderních prohlížečů, které najdete v&nbsp;počítači nebo v&nbsp;mobilním zařízení. Uživatelé se mohou rozhodnout, jestli chtějí přijímat „Web push“ upozornění v&nbsp;jejich prohlížeči a&nbsp;vybrat si v&nbsp;„Uživatelském panelu“, které upozornění chtějí dostávat.<br><br>Aby se dala „push“ upozornění používat i&nbsp;na&nbsp;mobilních zařízeních Apple, musí vaše fórum fungovat jako „Progresivní webová aplikace“ („PWA“). Toho se dosáhne tak, že uživatelé si přidají vaše fórum na&nbsp;domovskou obrazovku jejich zařízení. Pro&nbsp;zlepšení uživateského zážitku se podívejte na&nbsp;dodatečná „PWA“ nastavení v&nbsp;<strong>Nastavení fóra</strong>, kde můžete volitelně nakonfigurovat název a&nbsp;ikony aplikace, které budou reprezentovat vaše fórum na&nbsp;uživatelově domovské obrazovce.',
	'WEBPUSH_ENABLE'				=> 'Povolit „Web push“',
	'WEBPUSH_ENABLE_EXPLAIN'		=> 'Umožňuje uživatelům přijímat upozornění v&nbsp;jejich prohlížeči nebo zařízení přes „Web push“. Abyste mohli „Web push“ na&nbsp;fóru používat, musíte zadat nebo vygenerovat platné VAPID identifikační klíče.<br>VAPID („Voluntary Application Server Identification“ neboli „Dobrovolná identifikace aplikačního serveru“).',
	'WEBPUSH_GENERATE_VAPID_KEYS'	=> 'Generovat identifikační klíče',
	'WEBPUSH_VAPID_PUBLIC'			=> 'Identifikační veřejný klíč serveru',
	'WEBPUSH_VAPID_PUBLIC_EXPLAIN'	=> 'Veřejný VAPID klíč je sdílený pro ověření „push“ zpráv z&nbsp;vašeho webu.<br><em><strong>Pozor:</strong> Úprava veřejného VAPID klíče automaticky zneplatní všechna přijímaná „Web push“ upozornění.</em>',
	'WEBPUSH_VAPID_PRIVATE'			=> 'Identifikační soukromý klíč serveru',
	'WEBPUSH_VAPID_PRIVATE_EXPLAIN'	=> 'Soukromý VAPID klíč se používá k&nbsp;vygenerování ověřených „push“ zpráv odesílaných z&nbsp;vašeho webu. Soukromý VAPID klíč <strong>musí</strong> vytvořit platný pár veřejného a&nbsp;soukromého klíče spolu s&nbsp;veřejným VAPID klíčem.<br><em><strong>Pozor:</strong> Úprava soukromého VAPID klíče automaticky zneplatní všechna přijímaná „Web push“ upozornění.</em>',
	'WEBPUSH_METHOD_ENABLED'		=> 'Povolit jako výchozí všechna na&nbsp;uživatelích založená „push“ upozornění',
	'WEBPUSH_METHOD_ENABLED_EXPLAIN'=> 'Pokud toto nastavení povolíte, uživatelé, kteří mají zapnuto „Povolit „push“ upozornění“ na&nbsp;fóru a&nbsp;mají na&nbsp;svém zařízení povolená upozornění z&nbsp;prohlížeče, je začnou automaticky přijímat. Uživatelé můžou v&nbsp;nastavení upozornění v&nbsp;„Uživatelském panelu“ zakázat některá upozornění.<br><br>Pokud je toto nastavení zakázáno, uživatelé nedostanou žádné upozornění ani v&nbsp;případě, že mají zapnuto „Povolit „push“ upozornění“ – upozornění začnou dostávat, až navštíví nastavení upozornění v&nbsp;„Uživatelském panelu“ a&nbsp;povolí jednotlivá upozornění, která chtějí dostávat.',
	'WEBPUSH_DROPDOWN_SUBSCRIBE'	=> 'Zobrazit nastavaní „Web push“ upozornění v&nbsp;rozbalovací nabídce „Upozornění“',
	'WEBPUSH_DROPDOWN_SUBSCRIBE_EXPLAIN'=> 'Určete, jestli chcete zobrazit nebo skrýt přepínač „Povolit „Web push““ v&nbsp;rozbalovací nabídce „upozornění“. Tím umožníte uživatelům, aby jednoduše povolili nebo zakázali „push“ upozornění na&nbsp;jakékoliv stránce fóra.',
	'WEBPUSH_INSECURE_SERVER_ERROR' => 'Toto fórum nepoužívá bezpečný SSL/HTTPS server protokol, který je vyžadován pro&nbsp;povolení a&nbsp;používání „Web push“ upozornění. Alternativně může být prostředí serveru nesprávně nakonfigurováno. Ověřte si, že proměnné prostředí serveru <em>HTTPS</em> a&nbsp;<em>HEADER_CLIENT_PROTO</em> jsou správně nakonfigurovány.',
]);
