<?php
/**
 *
 * phpBB Browser Push Notifications. An extension for the phpBB Forum Software package.
 *
 * @copyright (c) 2024, phpBB Limited <https://www.phpbb.com>
 * @license GNU General Public License, version 2 (GPL-2.0)
 *
 */

/**
 * DO NOT CHANGE
 */
if (!defined('IN_PHPBB'))
{
	exit;
}

if (empty($lang) || !is_array($lang))
{
	$lang = [];
}

// DEVELOPERS PLEASE NOTE
//
// All language files should use UTF-8 as their encoding and the files must not contain a BOM.
//
// Placeholders can now contain order information, e.g. instead of
// 'Page %s of %s' you can (and should) write 'Page %1$s of %2$s', this allows
// translators to re-order the output of data while ensuring it remains correct
//
// You do not need this where single placeholders are used, e.g. 'Message %d' is fine
// equally where a string contains only two placeholders which are used to wrap text
// in a url you again do not need to specify an order e.g., 'Click %sHERE%s' is fine
//
// Some characters you may want to copy&paste:
// ’ » „ “ … &nbsp; &shy;
//

$lang = array_merge($lang, [
	'PWA_SETTINGS'				=> 'Možnosti „Progresivní webové aplikace“',
	'PWA_SHORT_NAME'			=> 'Kátký název fóra',
	'PWA_SHORT_NAME_EXPLAIN'	=> 'Název tvého fóra o&nbsp;maximální délce 12&nbsp;znaků, který může být použitý jako popis ikony na&nbsp;domovské obrazovce mobilního zařízení. (Pokud toto pole nevyplníš, použije se prvních 12 znaků <samp>názvu tvého fóra</samp>.)',
	'PWA_SHORT_NAME_INVALID'	=> '„Kátký název fóra“ překročil maximální délku 12&nbsp;znaků.',
	'PWA_ICON_SMALL'			=> 'Malá ikona pro&nbsp;mobilní zařízení',
	'PWA_ICON_SMALL_EXPLAIN'	=> 'Název souboru PNG obrázku o&nbsp;velikosti 192px&nbsp;x&nbsp;192px. Tento soubor musí být umístěný ve&nbsp;složce <samp>' . \phpbb\webpushnotifications\ext::PWA_ICON_DIR . '</samp> tvého fóra.',
	'PWA_ICON_LARGE'			=> 'Velká ikona pro&nbsp;mobilní zařízení',
	'PWA_ICON_LARGE_EXPLAIN'	=> 'Název souboru PNG obrázku o&nbsp;velikosti 512px x 512px. Tento soubor musí být umístěný ve&nbsp;složce <samp>' . \phpbb\webpushnotifications\ext::PWA_ICON_DIR . '</samp> tvého fóra.',
	'PWA_ICON_SIZE_INVALID'		=> 'Obrázek „%s“ nemá správné rozměry.',
	'PWA_ICON_MIME_INVALID'		=> '„%s“ musí být obrazový soubor ve&nbsp;formátu PNG.',
	'PWA_ICON_INVALID'			=> '„%s“ není platný obrazový soubor, nebo není v&nbsp;obvyklém umístění. Zkontroluj si, že máš název souboru a&nbsp;umístění správně.',
	'PWA_ICON_NOT_PROVIDED'		=> 'Pole „%s“ nesmí zůstat prázdné. Všechna pole pro&nbsp;ikony musí obsahovat obrázek.',
]);
