<?php
/**
 *
 * phpBB Browser Push Notifications. An extension for the phpBB Forum Software package.
 *
 * @copyright (c) 2024, phpBB Limited <https://www.phpbb.com>
 * @license GNU General Public License, version 2 (GPL-2.0)
 *
 */

/**
 * DO NOT CHANGE
 */
if (!defined('IN_PHPBB'))
{
	exit;
}

if (empty($lang) || !is_array($lang))
{
	$lang = [];
}

// DEVELOPERS PLEASE NOTE
//
// All language files should use UTF-8 as their encoding and the files must not contain a BOM.
//
// Placeholders can now contain order information, e.g. instead of
// 'Page %s of %s' you can (and should) write 'Page %1$s of %2$s', this allows
// translators to re-order the output of data while ensuring it remains correct
//
// You do not need this where single placeholders are used, e.g. 'Message %d' is fine
// equally where a string contains only two placeholders which are used to wrap text
// in a url you again do not need to specify an order e.g., 'Click %sHERE%s' is fine
//
// Some characters you may want to copy&paste:
// ’ » „ “ … &nbsp; &shy;
//

$lang = array_merge($lang, [
	'HELP_FAQ_WPN'					=> '„Web Push“ upozornění pro prohlížeče',
	'HELP_FAQ_WPN_WHAT_QUESTION'	=> 'Co jsou to „Web Push“ upozornění?',
	'HELP_FAQ_WPN_WHAT_ANSWER'		=> '„Web Push“ upozornění (notifikace) vylepšují systém upozorňování v&nbsp;phpBB (webová aplikace, na&nbsp;které běží toto fórum) tak, že umožňují, aby se upozornění odesílaly v&nbsp;reálném čase do&nbsp;tvého počítače nebo mobilního zařízení a&nbsp;to i&nbsp;v&nbsp;případě, že zrovna nejsi na&nbsp;fóru. Tato upozornění fungují jako oznámení od&nbsp;aplikací a&nbsp;poskytují okamžité aktualizace o&nbsp;obdržených soukromých zprávách, reakcích na&nbsp;příspěvky, akcích moderátorů atd.',
	'HELP_FAQ_WPN_HOW_QUESTION'		=> 'Jak můžu na&nbsp;svém počítači nebo mobilním zařízení dostávat upozornění z&nbsp;tohoto fóra?',
	'HELP_FAQ_WPN_HOW_ANSWER'		=> 'Přejdi do&nbsp;„Uživatelského panelu“&nbsp;→ „Nastavení fóra“&nbsp;→ „Nastavení upozornění“ a&nbsp;klikni na&nbsp;tlačítko „Povolit „push“ upozornění“. Prohlížeč tě může požádat o&nbsp;povolení k&nbsp;oprávnění pro odesílání upozornění — tak mu ho dej. Pokud ti stále upozornění nechodí, zkontroluj nastavení systému tvého zařízení, abys ses ujistil, že máš u&nbsp;prohlížeče povoleno upozorňování. U&nbsp;mobilních zařízení jako je iPhone nebo iPad možná budeš muset přidat web fóra na&nbsp;domovskou obrazovku, aby „push“ upozornění fungovala, čímž z&nbsp;něho uděláš samostatnou webovou aplikaci. Na&nbsp;následujících stránkách se můžeš podívat, jak povolit „push“ upozornění pro <a href="https://www.xda-developers.com/how-enable-safari-notifications-iphone/" target="_blank">iPhone/iPad</a> nebo pro <a href="https://support.google.com/chrome/answer/3220216?hl=en&co=GENIE.Platform%3DAndroid&oco=0" target="_blank">Android</a> (angl.).',
	'HELP_FAQ_WPN_SESSION_QUESTION'	=> 'Příjde mi upozornění, když se odhlásím?',
	'HELP_FAQ_WPN_SESSION_ANSWER'	=> 'Ano, upozorňení budou chodit, i&nbsp;když se odhlásíš.',
	'HELP_FAQ_WPN_SUBBING_QUESTION'	=> 'Proč jsou tlačítka „Povolit „push“ upozornění“ zakázána?',
	'HELP_FAQ_WPN_SUBBING_ANSWER'	=> 'Pokud jsou tlačítka „Povolit „push“ upozornění“ vidět, ale nejde na&nbsp;ně kliknout, je pravděpodobné, že tvůj prohlížeč nebo zařízení nepodporuje „push“ upozornění. Zkus použít jiný prohlížeč nebo zařízení, které podporují tuto funkci.',
	'HELP_FAQ_WPN_GENERAL_QUESTION'	=> 'Co mám dělat, když mám pořád problém s&nbsp;dostáváním upozornění?',
	'HELP_FAQ_WPN_GENERAL_ANSWER'	=> 'Ujisti se, že máš v&nbsp;nastavení svého prohlížeče povoleno odesílání upozornění z&nbsp;tohoto fóra. Dále si zkontroluj, že nastavení systému tvého zařízení povoluje posílání upozornění z&nbsp;používaného webového prohlížeče nebo aplikace. Některé prohlížeče umožňují posílání upozornění i&nbsp;v&nbsp;případě, že jsou zavřené, ale jiné prohlížeče to dělají jen když jsou puštěné. Podívej se na&nbsp;<a href="https://caniuse.com/push-api" target="_blank">tabulku s&nbsp;informacemi o&nbsp;podpoře různých prohlížečů</a> (angl.). A&nbsp;nakonec, pokud používáš blokovač reklam, podívej se do&nbsp;jeho nastavení a&nbsp;ujisti se, že není nastaven tak, aby blokoval „push“ upozornění.',
]);
